# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Compress/Zlib.pm) perl(Config.pm) perl(Cwd.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Proc/Daemon.pm) perl(Proc/PID/File.pm) perl(Socket.pm) perl(Sys/Syslog.pm) perl(XML/Simple.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:      ocsinventory-ipdiscover
Version:   2.0.5
Release:   alt1_7
Summary:   Open Computer and Software Inventory Next Generation client

Group:     Development/C
License:   GPLv2+
URL:       http://ocsinventory.sourceforge.net/
Source0:   http://launchpad.net/ocsinventory-unix-agent/stable-2.0/%{version}/+download/Ocsinventory-Unix-Agent-%{version}.tar.gz
Source44: import.info



%description
Open Computer and Software Inventory Next Generation is an application
designed to help a network or system administrator keep track of computer
configuration and software installed on the network. 

It also allows deploying softwares, commands or files on Windows and 
Linux client computers.

%{name} provide the ipdiscover command used by 
client agent for Linux.


%description -l fr
Open Computer and Software Inventory Next Generation est une application
destinée à aider l'administrateur système ou réseau à garder un oeil sur
la configuration des machines du réseau et sur les logiciels qui y sont
installés. 

Elle autorise aussi la télédiffusion (ou déploiement) de logiciels, 
de commandes ou de fichiers sur les clients Windows ou Linux.

%{name} fournit la commande ipdiscover utilisée par 
le client pour Linux.


%prep
%setup -q -n Ocsinventory-Unix-Agent-%{version}

touch -r README timestamp
perl -pi -e 's/\r//' README
touch -r timestamp README


%build
cd resources/ipdiscover
gcc %{optflags} -o ipdiscover ipdiscover.c


%install
install -D -m 755 resources/ipdiscover/ipdiscover \
        %{buildroot}%{_sbindir}/ipdiscover


%files
%doc AUTHORS Changes LICENSE README THANKS
%{_sbindir}/ipdiscover


%changelog
* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.0.5-alt1_7
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.0.5-alt1_6
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 2.0.5-alt1_5
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.5-alt1_4
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.5-alt1_3
- initial fc import

